%if 0%{?fedora}
%global with_python3 1
%endif

%global srcname statsd

Name:       python-%{srcname}
Version:    3.2.1
Release:    2%{?dist}
Summary:    A Python statsd client

License:    MIT
URL:        https://github.com/jsocol/pystatsd
Source0:    https://pypi.python.org/packages/source/s/%{srcname}/%{srcname}-%{version}.tar.gz

BuildArch:  noarch

BuildRequires: python2-devel
BuildRequires: python-mock
BuildRequires: python-nose
%if 0%{?with_python3}
BuildRequires: python3-devel
%endif # if with_python3

%description
A python client for the statsd daemon.

%package -n python2-%{srcname}
Summary: %{summary}
%{?python_provide:%python_provide python2-%{srcname}}

%description -n python2-%{srcname}
A python client for the statsd daemon.

%package -n python3-%{srcname}
Summary: %{summary}
%{?python_provide:%python_provide python3-%{srcname}}

%description -n python3-%{srcname}
A python client for the statsd daemon.

%package doc
Summary: Documentation of the Python client for the statsd daemon
BuildRequires:  python-sphinx

%description doc
Documentation of the Python client for the statsd daemon.

%prep
%autosetup -n %{srcname}-%{version}
# Remove bundled egg-info
rm -rf %{srcname}.egg-info
# Let RPM handle the dependencies
rm -f requirements.txt

%build
%py2_build
%if 0%{?with_python3}
%py3_build
%endif

## generate html docs
sphinx-build docs/ html
rm -f docs/_build/html/.buildinfo
rm -f docs/_build/html/objects.inv

%install
%py2_install
%if 0%{?with_python3}
%py3_install
%endif

%check
%{__python2} setup.py test
%if 0%{?with_python3}
%{__python2} setup.py check
%endif

%files -n python2-%{srcname}
%license LICENSE
%doc AUTHORS README.rst
%{python2_sitelib}/*

%if 0%{?with_python3}
%files -n python3-%{srcname}
%license LICENSE
%doc AUTHORS README.rst
%{python3_sitelib}/*
%endif

%files doc
%license LICENSE
%doc docs/_build/html

%changelog
* Wed Dec 16 2015 Paul Belanger <pabelanger@redhat.com> - 3.2.1-2
- New upstream version - 3.2.1
- Add support for both python2 and python3.

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.1.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Tue Apr 28 2015 Tristan de Cacqueray <tdecacqu@redhat.com> - 2.1.2-2.fc21
- Fixed fedora-review warnings

* Thu Apr 23 2015 Tristan de Cacqueray <tdecacqu@redhat.com> - 2.1.2-1.fc21
- Initial packaging
